Contents

# Option ClassModule Statement

Specifies that the module is a class module that contains members, properties, procedures and functions.

This statement must be added before the executable program code in a module.

### Parameters:

This statement must be used jointly with Option Compatible statement or Option VBASupport 1, the former is enabling VBA compatibility mode, while the latter is enforcing VBA support on top of compatibility.

### Syntax:

Option ClassModule

### Example:

             Option Compatible
             Option ClassModule

             ' Optional members go here

             Private Sub Class_Initialize()
                 ' Optional construction code goes here
             End Sub ' Constructor
             Private Sub Class_Terminate()
                 ' Optional destruction code goes here
             End Sub ' Destructor

             ' Properties go here.

             ' Procedures & functions go here.

Related Topics

Refer to Identifying the Operating System and Getting Session Information for class module simple examples.

Multiple thorough class examples are available from Access2Base shared Basic library.

Option Base Statement

Option Explicit Statement

Option VBASupport Statement

Option Compatible Statement